summaryrefslogtreecommitdiff
path: root/bin/sbuild-preupload
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2020-07-22 09:06:12 -0700
committerSean Whitton <spwhitton@spwhitton.name>2020-07-22 09:06:12 -0700
commit3e09b5d5080619b959f6b56f7f288cdcb39b77ab (patch)
treee9dba9baa9eba83ecc3cfd685ea8641b9f4b8cac /bin/sbuild-preupload
parentf51bc46d624373e919fd1a5de81ec80f175521e0 (diff)
downloaddotfiles-3e09b5d5080619b959f6b56f7f288cdcb39b77ab.tar.gz
make sbuild-preupload and package-plan-unpack available to Eshell
Diffstat (limited to 'bin/sbuild-preupload')
-rwxr-xr-xbin/sbuild-preupload35
1 files changed, 35 insertions, 0 deletions
diff --git a/bin/sbuild-preupload b/bin/sbuild-preupload
new file mode 100755
index 00000000..9f6d4653
--- /dev/null
+++ b/bin/sbuild-preupload
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+# run a package build and the full suite of checks that I can do
+# locally before an upload. Generally I use this on an UNRELEASED
+# package and then use `dgit push-source` for the actual upload
+
+set -e
+
+dgit=""
+sbuild=""
+
+for key in "$@"; do
+ case $key in
+ --gbp|--dpm|--quilt=*)
+ dgit="$dgit $key"
+ shift
+ ;;
+ *)
+ sbuild="$sbuild $key"
+ shift
+ ;;
+ esac
+done
+
+case $(pwd) in
+ *src/DHG_packages/p*)
+ sbuild $sbuild \
+ --no-run-lintian --run-piuparts --run-autopkgtest
+ ;;
+ *)
+ eval dgit $dgit sbuild $sbuild \
+ --no-run-lintian --run-piuparts --run-autopkgtest
+esac
+
+lintian